cURL
curl --request POST \
--url https://api.useanima.sh/v1/openclaw/signup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"openclawAgentId": "<string>",
"organizationName": "<string>",
"organizationSlug": "<string>",
"agentName": "<string>",
"agentSlug": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"metadata": {}
}
'import requests
url = "https://api.useanima.sh/v1/openclaw/signup"
payload = {
"openclawAgentId": "<string>",
"organizationName": "<string>",
"organizationSlug": "<string>",
"agentName": "<string>",
"agentSlug": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
openclawAgentId: '<string>',
organizationName: '<string>',
organizationSlug: '<string>',
agentName: '<string>',
agentSlug: '<string>',
email: 'jsmith@example.com',
phoneNumber: '<string>',
metadata: {}
})
};
fetch('https://api.useanima.sh/v1/openclaw/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"tier": "FREE",
"createdAt": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"slug": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "<string>",
"apiKeyPrefix": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"credentials": {
"apiKey": "<string>",
"apiKeyPrefix": "<string>"
}
}API Reference
Post openclawsignup
POST
/
openclaw
/
signup
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
application/json
Input for self-service agent and organization registration via OpenClaw
OpenClaw agent identifier to register
Minimum string length:
1Display name for the new organization
Required string length:
2 - 120URL-friendly organization slug (lowercase alphanumeric and hyphens)
Required string length:
2 - 64Pattern:
^[a-z0-9-]+$Display name for the agent
Required string length:
2 - 100URL-friendly agent slug (lowercase alphanumeric and hyphens)
Required string length:
2 - 64Pattern:
^[a-z0-9-]+$Primary email address for the agent
Phone number to provision for the agent
Required string length:
7 - 20Additional metadata for the signup
Show child attributes
Show child attributes
Response
200 - application/json
OK
Result of a successful self-service signup including organization, agent, and credentials
⌘I
